
%global meadversion 2.3.5
%global namedversion 2.3.5.SP2-redhat-00005
%global meadalpha .SP2_redhat_00005
%global meadrel .1
%global serial 7
%global namedversionrel redhat-00005

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-jsf-api_2.3_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.3.5.SP2-redhat-00005

Name:           %{?scl_prefix}jboss-jsf-api_2.3_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JavaServer(TM) Faces 2.3 API
Group:          Development/Java

%if %with mead
Source100: jboss-jsf-api_2.3_spec-2.3.5.SP2-redhat-00005-project-sources.tar.gz
Source102: jboss-jsf-api_2.3_spec-2.3.5.SP2-redhat-00005.jar
Source103: jboss-jsf-api_2.3_spec-2.3.5.SP2-redhat-00005.pom
Source104: jboss-jsf-api_2.3_spec-2.3.5.SP2-redhat-00005-sources.jar
Source105: jboss-jsf-api_2.3_spec-2.3.5.SP2-redhat-00005-javadoc.jar
%endif

License:        CDDL-1.1 or GPLv2 with exceptions
URL:            https://github.com/jboss/jboss-jsf-api_spec
%if 0
Requires:       %{?scl_prefix_eap}jboss-javaee-all-7.0 >= 0:1.0.0
%endif
Requires:       %{?scl_prefix_eap}jsf-impl >= 0:2.3.3
Requires:       %{?scl_prefix_eap}jboss-el-api_3.0_spec >= 0:1.0.0
Requires:       %{?scl_prefix_eap}jboss-jsp-api_2.3_spec >= 0:1.0.0
# XXX: EAP now uses taglibs-standard-spec >= 0:1.2.5
%if 0
Requires:       %{?scl_prefix_eap}jboss-jstl-api_1.2_spec >= 0:1.0.4
%endif
Requires:       %{?scl_prefix_eap}validation-api >= 0:1.1.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-jsf-api_2.3_spec-%{namedversion}-%{release}-root

%description
JSR-000344: JavaServer(TM) Faces 2.3 API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-jsf-api_2.3_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-jsf-api_2.3_spec-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-jsf-api_2.3_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-jsf-api_2.3_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-jsf-api_2.3_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-jsf-api_2.3_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-jsf-api_2.3_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-jsf-api_2.3_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-jsf-api_2.3_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-jsf-api_2.3_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-jsf-api_2.3_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-jsf-api_2.3_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-jsf-api_2.3_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-jsf-api_2.3_spec
%defattr(0644,root,root,0755)
%doc LICENSE README
%{_javadir}/jboss-jsf-api_2.3_spec-%{namedversion}.jar
%{_javadir}/jboss-jsf-api_2.3_spec.jar
%if %with javadoc
%{_javadir}/jboss-jsf-api_2.3_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-jsf-api_2.3_spec-javadoc.jar
%endif
%{_javadir}/jboss-jsf-api_2.3_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-jsf-api_2.3_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-jsf-api_2.3_spec-%{namedversion}
%{_javadocdir}/jboss-jsf-api_2.3_spec
%endif

%changelog
* Tue Jun 16 2020 Yong Yang <yyang@redhat.com> - 2.3.5-7.SP2_redhat_00005.1
- RPM wrapper build 2.3.5.SP2-redhat-00005

* Fri Jun 05 2020 Yong Yang <yyang@redhat.com> - 2.3.5-6.SP2_redhat_00004.1
- RPM wrapper build 2.3.5.SP2-redhat-00004

* Tue Mar 17 2020 Yong Yang <yyang@redhat.com> - 2.3.5-5.SP2_redhat_00003.1
- RPM wrapper build 2.3.5.SP2-redhat-00003

* Fri Mar 06 2020 Yong Yang <yyang@redhat.com> - 2.3.5-4.SP2_redhat_00002.1
- RPM wrapper build 2.3.5.SP2-redhat-00002

* Tue Nov 26 2019 Yong Yang <yyang@redhat.com> - 2.3.5-3.SP2_redhat_00001.1
- RPM wrapper build 2.3.5.SP2-redhat-00001

* Tue Nov 26 2019 Yong Yang <yyang@redhat.com> - 2.3.5-2.SP1_redhat_1.1
- RPM wrapper build 2.3.5.SP2-redhat-00001

* Wed Jul 04 2018 Permaine Cheung <pcheung@redhat.com> - 2.3.5-1.SP1_redhat_1.1
- Wrapper for EAP 7.2.0

* Wed Jul 04 2018 Permaine Cheung <pcheung@redhat.com> - 2.3.5-1.SP1_redhat_1.1
- Wrapper for EAP 7.2.0

* Wed Jul 04 2018 Permaine Cheung <pcheung@redhat.com> - redhat-1.1%{nil}
- Wrapper for EAP 7.2.0

* Wed Jul 04 2018 Permaine Cheung <pcheung@redhat.com> - 2.3.5-1.redhat_1.1
- Initial release
